%global realname xgoogle

Name:		python-%{realname}
Version:	1.4
Release:	%mkrel 2
Summary:	Python library to search Google without using their API
Group:		Development/Python
License:	MIT
URL:		http://www.catonmat.net/blog/python-library-for-google-search/
Source0:	http://www.catonmat.net/download/xgoogle.zip
Source1:	%{realname}-setup.py
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}-root
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	dos2unix
Requires:	python-beautifulsoup
BuildArch:	noarch


%description
A Python library to search Google without using their API.


%prep
%setup -q -c -n %{realname}-%{version}
rm -f %{realname}/BeautifulSoup.py
rm -f %{realname}/*.pyc
install -m 0644 -p %{SOURCE1} setup.py
dos2unix contributors.txt projects-using-xgoogle.txt readme.txt
dos2unix xgoogle/{browser.py,googlesets.py,sponsoredlinks.py,translate.py}
sed -i -e "/^#\!\/usr\/bin\/python$/d" xgoogle/*.py


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc examples contributors.txt projects-using-xgoogle.txt readme.txt
%{python_sitelib}/%{realname}/
%{python_sitelib}/%{realname}-%{version}-*.egg-info/


%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Fri Aug 24 2012 Neal <nealbrks0 at gmail dot com> 1.4-1pclos2012
- process

* Fri Aug 11 2012 lxgator <lxgator@gmail.com> 1.4-1pclos2012
- Initial package

